﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Speech.Synthesis;

namespace WindowsFormsApp67
{
    public partial class Form2 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form2()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            engine.SpeakAsync(richTextBox1.Text);
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            foreach(var voice in engine.GetInstalledVoices())
            {
                comboBox1.Items.Add(voice.VoiceInfo.Name);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            engine.SelectVoice(comboBox1.SelectedItem.ToString());
        }
    }
}
